| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Structures | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
ffmpegkit::FFprobeSession Class Reference

`#include <FFprobeSession.h>`

## Data Structures
struct | PublicFFprobeSession

## Public Member Functions
ffmpegkit::FFprobeSessionCompleteCallback | getCompleteCallback ()
bool | isFFmpeg () const override
bool | isFFprobe () const override
bool | isMediaInformation () const override
Public Member Functions inherited from ffmpegkit::AbstractSession
| AbstractSession (const std::list< std::string > &arguments, const ffmpegkit::LogCallback logCallback, const LogRedirectionStrategy logRedirectionStrategy)
void | waitForAsynchronousMessagesInTransmit (const int timeout) const
ffmpegkit::LogCallback | getLogCallback () const override
long | getSessionId () const override
std::chrono::time_point< std::chrono::system_clock > | getCreateTime () const override
std::chrono::time_point< std::chrono::system_clock > | getStartTime () const override
std::chrono::time_point< std::chrono::system_clock > | getEndTime () const override
long | getDuration () const override
std::shared_ptr< std::list< std::string > > | getArguments () const override
std::string | getCommand () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogsWithTimeout (const int waitTimeout) const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogs () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getLogs () const override
std::string | getAllLogsAsStringWithTimeout (const int waitTimeout) const override
std::string | getAllLogsAsString () const override
std::string | getLogsAsString () const override
std::string | getOutput () const override
ffmpegkit::SessionState | getState () const override
std::shared_ptr< ffmpegkit::ReturnCode > | getReturnCode () const override
std::string | getFailStackTrace () const override
ffmpegkit::LogRedirectionStrategy | getLogRedirectionStrategy () const override
bool | thereAreAsynchronousMessagesInTransmit () const override
void | addLog (const std::shared_ptr< ffmpegkit::Log > log) override
void | startRunning () override
void | complete (const std::shared_ptr< ffmpegkit::ReturnCode > returnCode) override
void | fail (const char *error) override
virtual bool | isFFmpeg () const override
virtual bool | isFFprobe () const override
virtual bool | isMediaInformation () const override
void | cancel () override
virtual ffmpegkit::LogCallback | getLogCallback () const =0
virtual long | getSessionId () const =0
virtual std::chrono::time_point< std::chrono::system_clock > | getCreateTime () const =0
virtual std::chrono::time_point< std::chrono::system_clock > | getStartTime () const =0
virtual std::chrono::time_point< std::chrono::system_clock > | getEndTime () const =0
virtual long | getDuration () const =0
virtual std::shared_ptr< std::list< std::string > > | getArguments () const =0
virtual std::string | getCommand () const =0
virtual std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogsWithTimeout (const int waitTimeout) const =0
virtual std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogs () const =0
virtual std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getLogs () const =0
virtual std::string | getAllLogsAsStringWithTimeout (const int waitTimeout) const =0
virtual std::string | getAllLogsAsString () const =0
virtual std::string | getLogsAsString () const =0
virtual std::string | getOutput () const =0
virtual ffmpegkit::SessionState | getState () const =0
virtual std::shared_ptr< ffmpegkit::ReturnCode > | getReturnCode () const =0
virtual std::string | getFailStackTrace () const =0
virtual LogRedirectionStrategy | getLogRedirectionStrategy () const =0
virtual bool | thereAreAsynchronousMessagesInTransmit () const =0
virtual void | addLog (const std::shared_ptr< ffmpegkit::Log > log)=0
virtual void | startRunning ()=0
virtual void | complete (const std::shared_ptr< ffmpegkit::ReturnCode > returnCode)=0
virtual void | fail (const char *error)=0
virtual bool | isFFmpeg () const =0
virtual bool | isFFprobe () const =0
virtual bool | isMediaInformation () const =0
virtual void | cancel ()=0

## Static Public Member Functions
static std::shared_ptr< ffmpegkit::FFprobeSession > | create (const std::list< std::string > &arguments)
static std::shared_ptr< ffmpegkit::FFprobeSession > | create (const std::list< std::string > &arguments, const FFprobeSessionCompleteCallback completeCallback)
static std::shared_ptr< ffmpegkit::FFprobeSession > | create (const std::list< std::string > &arguments, const FFprobeSessionCompleteCallback completeCallback, const ffmpegkit::LogCallback logCallback)
static std::shared_ptr< ffmpegkit::FFprobeSession > | create (const std::list< std::string > &arguments, const FFprobeSessionCompleteCallback completeCallback, const ffmpegkit::LogCallback logCallback, const LogRedirectionStrategy logRedirectionStrategy)

## Private Member Functions
| FFprobeSession (const std::list< std::string > &arguments, const FFprobeSessionCompleteCallback completeCallback, const ffmpegkit::LogCallback logCallback, const LogRedirectionStrategy logRedirectionStrategy)

## Private Attributes
FFprobeSessionCompleteCallback | _completeCallback

## Additional Inherited Members
Static Public Attributes inherited from ffmpegkit::AbstractSession
static constexpr int | DefaultTimeoutForAsynchronousMessagesInTransmit = 5000

## Detailed Description

An FFprobe session.

Definition at line 31 of file FFprobeSession.h.

## Constructor & Destructor Documentation

## ◆ FFprobeSession()

ffmpegkit::FFprobeSession::FFprobeSession | ( | const std::list< std::string > & | arguments,
|  | const FFprobeSessionCompleteCallback | completeCallback,
|  | const ffmpegkit::LogCallback | logCallback,
|  | const LogRedirectionStrategy | logRedirectionStrategy
| ) |  |
| private

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback
  logRedirectionStrategy | session specific log redirection strategy

Definition at line 56 of file FFprobeSession.cpp.

## Member Function Documentation

## ◆ create() [1/4]

std::shared_ptr< ffmpegkit::FFprobeSession > ffmpegkit::FFprobeSession::create | ( | const std::list< std::string > & | arguments | ) |
| static

Builds a new FFprobe session.

Parameters

  arguments | command arguments

Returns
  created session

Definition at line 26 of file FFprobeSession.cpp.

## ◆ create() [2/4]

std::shared_ptr< ffmpegkit::FFprobeSession > ffmpegkit::FFprobeSession::create | ( | const std::list< std::string > & | arguments,
|  | const FFprobeSessionCompleteCallback | completeCallback
| ) |  |
| static

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback

Returns
  created session

Definition at line 32 of file FFprobeSession.cpp.

## ◆ create() [3/4]

std::shared_ptr< ffmpegkit::FFprobeSession > ffmpegkit::FFprobeSession::create | ( | const std::list< std::string > & | arguments,
|  | const FFprobeSessionCompleteCallback | completeCallback,
|  | const ffmpegkit::LogCallback | logCallback
| ) |  |
| static

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback

Returns
  created session

Definition at line 38 of file FFprobeSession.cpp.

## ◆ create() [4/4]

std::shared_ptr< ffmpegkit::FFprobeSession > ffmpegkit::FFprobeSession::create | ( | const std::list< std::string > & | arguments,
|  | const FFprobeSessionCompleteCallback | completeCallback,
|  | const ffmpegkit::LogCallback | logCallback,
|  | const LogRedirectionStrategy | logRedirectionStrategy
| ) |  |
| static

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback
  logRedirectionStrategy | session specific log redirection strategy

Returns
  created session

Definition at line 44 of file FFprobeSession.cpp.

## ◆ getCompleteCallback()

ffmpegkit::FFprobeSessionCompleteCallback ffmpegkit::FFprobeSession::getCompleteCallback | ( |  | ) |

Returns the session specific complete callback.

Returns
  session specific complete callback

Definition at line 60 of file FFprobeSession.cpp.

## ◆ isFFmpeg()

bool ffmpegkit::FFprobeSession::isFFmpeg | ( |  | ) | const
| override virtual

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from ffmpegkit::AbstractSession.

Definition at line 64 of file FFprobeSession.cpp.

## ◆ isFFprobe()

bool ffmpegkit::FFprobeSession::isFFprobe | ( |  | ) | const
| override virtual

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from ffmpegkit::AbstractSession.

Definition at line 68 of file FFprobeSession.cpp.

## ◆ isMediaInformation()

bool ffmpegkit::FFprobeSession::isMediaInformation | ( |  | ) | const
| override virtual

Returns whether it is a `MediaInformation` session or not.

Returns
  true if it is a `MediaInformation` session, false otherwise

Reimplemented from ffmpegkit::AbstractSession.

Definition at line 72 of file FFprobeSession.cpp.

## Field Documentation

## ◆ _completeCallback

FFprobeSessionCompleteCallback ffmpegkit::FFprobeSession::_completeCallback
| private

Definition at line 114 of file FFprobeSession.h.

The documentation for this class was generated from the following files:

- FFprobeSession.h
- FFprobeSession.cpp